From: Jordan Justen <jljusten@debian.org>
Date: Sun, 31 Jan 2021 12:20:17 -0800
Subject: renderdoc: Patch for glslang 11.1.0

Signed-off-by: Jordan Justen <jljusten@debian.org>
---
 renderdoc/CMakeLists.txt                           | 2 ++
 renderdoc/driver/shaders/spirv/glslang_compile.cpp | 1 +
 2 files changed, 3 insertions(+)

diff --git a/renderdoc/CMakeLists.txt b/renderdoc/CMakeLists.txt
index 1de52fb..b204da9 100644
--- a/renderdoc/CMakeLists.txt
+++ b/renderdoc/CMakeLists.txt
@@ -499,6 +499,8 @@ if(ENABLE_GL OR ENABLE_GLES OR ENABLE_VULKAN)
     list(APPEND RDOC_LIBRARIES
          PRIVATE -lglslang
          PRIVATE -lHLSL
+         PRIVATE -lMachineIndependent
+         PRIVATE -lGenericCodeGen
          PRIVATE -lOGLCompiler
          PRIVATE -lOSDependent
          PRIVATE -lSPIRV
diff --git a/renderdoc/driver/shaders/spirv/glslang_compile.cpp b/renderdoc/driver/shaders/spirv/glslang_compile.cpp
index c94415e..798b3b2 100644
--- a/renderdoc/driver/shaders/spirv/glslang_compile.cpp
+++ b/renderdoc/driver/shaders/spirv/glslang_compile.cpp
@@ -129,6 +129,7 @@ static TBuiltInResource DefaultResources = {
     /*.maxTaskWorkGroupSizeY_NV =*/1,
     /*.maxTaskWorkGroupSizeZ_NV =*/1,
     /*.maxMeshViewCountNV =*/4,
+    /*.maxDualSourceDrawBuffersEXT =*/1,
 
     /*.limits*/
     {
